/////////////////////////////////////////////////////////////////////////////////////////
//
// Please refer to "COPYRIGHT.md" for the relevant copyright statement of this software.
//
/////////////////////////////////////////////////////////////////////////////////////////
//
#pragma once
#include "GdGChar.h"
#include "GcCoreDefs.h"

class GCCORE_PORT GcApProfileManagerReactor
{
public:
  virtual ~GcApProfileManagerReactor();
  virtual void currentProfileWillChange(const GCHAR*)
  {
  }
  virtual void currentProfileChanged(const GCHAR*)
  {
  }
  virtual void currentProfileWillBeReset(const GCHAR*)
  {
  }
  virtual void currentProfileReset(const GCHAR*)
  {
  }
  virtual void currentProfileWillBeSaved(const GCHAR*)
  {
  }
  virtual void currentProfileSaved(const GCHAR*)
  {
  }
  virtual void profileWillReset(const GCHAR*)
  {
  }
  virtual void profileReset(const GCHAR*)
  {
  }
  virtual void profileWillBeSaved(const GCHAR*)
  {
  }
  virtual void profileSaved(const GCHAR*)
  {
  }
};